> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Concurrency Usage

> Gets historical call concurrency for the account



## OpenAPI

````yaml get /api/accounts/me/usage/concurrency
openapi: 3.0.3
info:
  title: Ultravox
  version: 0.1.0
  description: API for the Ultravox service.
servers:
  - url: https://api.ultravox.ai
security: []
paths:
  /api/accounts/me/usage/concurrency:
    get:
      tags:
        - accounts
      description: Gets historical call concurrency for the account.
      operationId: accounts_me_usage_concurrency_retrieve
      parameters:
        - in: query
          name: bucket
          schema:
            enum:
              - minute
              - 5min
              - hour
              - day
            type: string
            default: minute
            minLength: 1
          description: |-
            Bucket size for the time series.

            * `minute` - minute
            * `5min` - 5min
            * `hour` - hour
            * `day` - day
        - in: query
          name: end
          schema:
            type: string
            format: date-time
          description: End datetime for the time range. Defaults to now.
        - in: query
          name: start
          schema:
            type: string
            format: date-time
          description: Start datetime for the time range. Defaults to 24 hours before end.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConcurrencyResponse'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ConcurrencyResponse:
      type: object
      properties:
        timeSeries:
          type: array
          items:
            $ref: '#/components/schemas/ConcurrencyBucket'
          description: Concurrency over time
      required:
        - timeSeries
    ConcurrencyBucket:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          description: Start of the time bucket
        maxTotalCalls:
          type: integer
          description: Peak total active calls in this bucket
        maxJoinedCalls:
          type: integer
          description: Peak joined calls in this bucket
        avgTotalCalls:
          type: number
          format: double
          description: Average total active calls in this bucket
        avgJoinedCalls:
          type: number
          format: double
          description: Average joined calls in this bucket
      required:
        - avgJoinedCalls
        - avgTotalCalls
        - maxJoinedCalls
        - maxTotalCalls
        - timestamp
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key

````